Support » Plugin: Cloudflare » Fatal error After updating plugin from version 1.3.25 to 3.0.3

  • meganportertwt

    (@meganportertwt)



    After updating to cloud flare all site breaks and not able to access admin panel also.
    below is Error getting after updating plugin,

    Fatal error: Uncaught Error: Class ‘CF\Integration\DefaultConfig’ not found in /wp-content/plugins/cloudflare/cloudflare.php:20

    Please, help to sort out the issue asap.

    Thanks,
    Megan

Viewing 8 replies - 1 through 8 (of 8 total)
  • rs2122

    (@rs2122)

    I’m having the same isseue:

    PHP Fatal error: Class ‘CF\\Integration\\DefaultConfig’ not found in /srv/websites/***/public_html/wp-content/plugins/cloudflare/cloudflare.php on line 20.

    Site runs on apache / php 5.5 with varnish.

    Plugin Author thellimist

    (@furkan811)

    @meganportertwt the plugin supports PHP 5.3.10+. Could you verify your PHP version?

    meganportertwt

    (@meganportertwt)

    I have checked my php version it is PHP Version 7.0.2….

    Plugin Author thellimist

    (@furkan811)

    @meganportertwt, @rs2122

    have you tried version 3.0.4?

    meganportertwt

    (@meganportertwt)

    In version 3.0.4 still having issue getting fatal error
    Class ‘CloudFlare\IpRewrite’ not found in /wp-content/plugins/cloudflare/cloudflare.loader.php:8

    Plugin Author thellimist

    (@furkan811)

    Hi @meganportertwt,

    This is an issue specific with the environment you use. I’ll need more information related with the environment.

    Do you use Varnish?
    Do you use WordPress Multisite?
    Do you have any other software which is not common?
    If the environment is a default package from a provider could you link me to it.

    Thanks.

    lspcity

    (@lspcity)

    I also get this error:

    PHP Fatal error: Class 'CloudFlare\IpRewrite' not found in /var/www/test/web/app/plugins/cloudflare/cloudflare.loader.php on line 8

    I’m using WordPress roots (www.roots.io).
    Plugins are: Bootstrap Components, Cloudflare, Disqus Comment System, Max Mega Menu, Playbuzz, Regenerate Thumbnails, Responsive Charts, Shariff for WordPress, Shariff Wrapper, TotalPoll, Twitter Feed, Ultimate Tag Cloud Widget, Use Google Libraries, Video Thumbnails, WP Dynamic Sidebar, WP User Avatars, Yoast SEO

    Plugin Author thellimist

    (@furkan811)

    @meganportertwt do you use http://www.roots.io?

    @lspcity I’ve tested with the plugins you provided with PHP 5.5.9 and couldn’t manage to replicate it.

    I’ll need more information to figure out this issue.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Fatal error After updating plugin from version 1.3.25 to 3.0.3’ is closed to new replies.